org.vertx.java.core.http.impl.ws

## Class PingHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.vertx.java.core.http.impl.ws.PingHandler

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

    public class PingHandler
    extends org.jboss.netty.channel.SimpleChannelUpstreamHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`PingHandler()`

### Method Summary

Methods
`void` `messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent e)`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, exceptionCaught, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PingHandler

    public PingHandler()

### Method Detail

#### messageReceived

    public void messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx,
                       org.jboss.netty.channel.MessageEvent e)
                         throws java.lang.Exception

Overrides:
  `messageReceived` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
Throws:
  `java.lang.Exception`